org.jetlang.web

## Class WebSocketClient.Config

- java.lang.Object
- - org.jetlang.web.WebSocketClient.Config

Enclosing class:
  WebSocketClient<S,T>

    public static class WebSocketClient.Config
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Config()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(SocketChannel channel)`
`int` `getConnectTimeout()`
`TimeUnit` `getConnectTimeoutUnit()`
`int` `getMaxReadLoops()`
`int` `getReadBufferSizeInBytes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Config

    public Config()

### Method Detail

#### configure

    public void configure(SocketChannel channel)
                   throws IOException

Throws:
  `IOException`

#### getReadBufferSizeInBytes

    public int getReadBufferSizeInBytes()

#### getMaxReadLoops

    public int getMaxReadLoops()

#### getConnectTimeout

    public int getConnectTimeout()

#### getConnectTimeoutUnit

    public TimeUnit getConnectTimeoutUnit()